<?php

function _jobsUpdate() {
    global $objDatabase;

    try {
        \Cx\Lib\UpdateUtil::table(
            DBPREFIX . 'module_jobs',
            array(
                'id'         => array('type' => 'INT(6)',       'notnull' => true,  'primary' => true, 'auto_increment' => true, 'unsigned' => true),
                'date'       => array('type' => 'INT(14)',      'notnull' => false),
                'title'      => array('type' => 'VARCHAR(250)', 'notnull' => true,  'default' => ''),
                'author'     => array('type' => 'VARCHAR(150)', 'notnull' => true,  'default' => ''),
                'text'       => array('type' => 'MEDIUMTEXT'),
                'workloc'    => array('type' => 'VARCHAR(250)', 'notnull' => true,  'default' => ''),
                'workload'   => array('type' => 'VARCHAR(250)', 'notnull' => true,  'default' => ''),
                'work_start' => array('type' => 'INT(14)',      'notnull' => true,  'default' => 0),
                'catid'      => array('type' => 'INT(2)',       'notnull' => true,  'default' => 0, 'unsigned' => true),
                'lang'       => array('type' => 'INT(2)',       'notnull' => true,  'default' => 0, 'unsigned' => true),
                'userid'     => array('type' => 'INT(6)',       'notnull' => true,  'default' => 0, 'unsigned' => true),
                'startdate'  => array('type' => 'DATE',         'notnull' => true,  'default' => '0000-00-00'),
                'enddate'    => array('type' => 'DATE',         'notnull' => true,  'default' => '0000-00-00'),
                'status'     => array('type' => 'TINYINT(4)',       'notnull' => true,  'default' => 1),
                'changelog'  => array('type' => 'INT(14)',      'notnull' => true,  'default' => 0)
            ),
            array(
                'newsindex'  => array('fields' => array('title', 'text'), 'type' => 'fulltext')
            )
        );
        \Cx\Lib\UpdateUtil::table(
            DBPREFIX . 'module_jobs_categories',
            array(
                'catid'      => array('type' => 'INT(2)',           'primary' => true, 'auto_increment' => true, 'unsigned' => true),
                'name'       => array('type' => 'VARCHAR(100)',                        'default'        => ''),
                'lang'       => array('type' => 'INT(2)',                              'default'        => 1, 'unsigned' => true),
                'sort_style' => array('type' => "ENUM('alpha', 'date', 'date_alpha')", 'default'        => 'alpha')
            )
        );
        \Cx\Lib\UpdateUtil::table(
            DBPREFIX . 'module_jobs_location',
            array(
                'id'   => array('type' => 'INT(10)',      'primary' => true, 'auto_increment' => true, 'unsigned' => true),
                'name' => array('type' => 'VARCHAR(100)', 'default' => '')
            )
        );
        \Cx\Lib\UpdateUtil::table(
            DBPREFIX.'module_jobs_rel_loc_jobs',
            array(
                'job'        => array('type' => 'INT(10)', 'unsigned' => true, 'notnull' => true, 'default' => '0', 'primary' => true),
                'location'   => array('type' => 'INT(10)', 'unsigned' => true, 'notnull' => true, 'default' => '0', 'primary' => true)
            )
        );
        \Cx\Lib\UpdateUtil::table(
            DBPREFIX . 'module_jobs_settings',
            array(
                'id'    => array('type' => 'INT(10)',      'primary' => true, 'auto_increment' => true, 'unsigned' => true),
                'name'  => array('type' => 'VARCHAR(250)', 'default' => ''),
                'value' => array('type' => 'TEXT',         'default' => '')
            )
        );

    }
    catch (\Cx\Lib\UpdateException $e) {
        // we COULD do something else here..
        return \Cx\Lib\UpdateUtil::DefaultActionHandler($e);
    }


    $arrSettings = array(
        array(
            'name'  => 'footnote',
            'value' => 'Hat Ihnen diese Bewerbung zugesagt? \r\nDann können Sie sich sogleich telefonisch, per E-mail oder Web Formular bewerben.'
        ),
        array(
            'name'  => 'link',
            'value' => 'Online für diese Stelle bewerben.'
        ),
        array(
            'name'  => 'url',
            'value' => 'index.php?section=contact&cmd=5&44=%URL%&43=%TITLE%'
        ),
        array(
            'name'  => 'show_location_fe',
            'value' => '1'
        )
    );
    foreach ($arrSettings as $arrSetting) {
        $query = "SELECT 1 FROM `".DBPREFIX."module_jobs_settings` WHERE `name` = '".$arrSetting['name']."'";
        $objResult = $objDatabase->SelectLimit($query, 1);
        if ($objResult !== false) {
            if ($objResult->RecordCount() == 0) {
                $query = "INSERT INTO `".DBPREFIX."module_jobs_settings` (`name`, `value`) VALUES ('".$arrSetting['name']."', '".$arrSetting['value']."')";
                if ($objDatabase->Execute($query) === false) {
                    return _databaseError($query, $objDatabase->ErrorMsg());
                }
            }
        } else {
            return _databaseError($query, $objDatabase->ErrorMsg());
        }
    }


    /********************************
     * EXTENSION:   Timezone        *
     * ADDED:       Contrexx v3.0.0 *
     ********************************/
    try {
        \Cx\Lib\UpdateUtil::sql('
            ALTER TABLE `'.DBPREFIX.'module_jobs`
            CHANGE `startdate` `startdate` TIMESTAMP NOT NULL DEFAULT "0000-00-00 00:00:00",
            CHANGE `enddate` `enddate` TIMESTAMP NOT NULL DEFAULT "0000-00-00 00:00:00"
        ');
    } catch (\Cx\Lib\UpdateException $e) {
        return \Cx\Lib\UpdateUtil::DefaultActionHandler($e);
    }


    return true;
}
function _jobsInstall() {
	try {
		\Cx\Lib\UpdateUtil::sql('CREATE TABLE `contrexx_module_jobs` (
  `id` int(6) unsigned NOT NULL auto_increment,
  `date` int(14) default NULL,
  `title` varchar(250) NOT NULL default \'\',
  `author` varchar(150) NOT NULL default \'\',
  `text` mediumtext NOT NULL,
  `workloc` varchar(250) NOT NULL default \'\',
  `workload` varchar(250) NOT NULL default \'\',
  `work_start` int(14) NOT NULL default \'0\',
  `catid` int(2) unsigned NOT NULL default \'0\',
  `lang` int(2) unsigned NOT NULL default \'0\',
  `userid` int(6) unsigned NOT NULL default \'0\',
  `startdate` timestamp NOT NULL default \'0000-00-00 00:00:00\',
  `enddate` timestamp NOT NULL default \'0000-00-00 00:00:00\',
  `status` tinyint(4) NOT NULL default \'1\',
  `changelog` int(14) NOT NULL default \'0\',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `newsindex` (`title`,`text`)
) ENGINE=MyISAM COMMENT=\'cx3upgrade\'');
		\Cx\Lib\UpdateUtil::sql('CREATE TABLE `contrexx_module_jobs_categories` (
  `catid` int(2) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default \'\',
  `lang` int(2) unsigned NOT NULL default \'1\',
  `sort_style` enum(\'alpha\',\'date\',\'date_alpha\') NOT NULL default \'alpha\',
  PRIMARY KEY  (`catid`)
) ENGINE=MyISAM COMMENT=\'cx3upgrade\'');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'1\', \'Informatik\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'2\', \'Gastronomie\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'3\', \'Baugewerbe\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'4\', \'Grafik / Zeichner\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'5\', \'Gastronomie\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'6\', \'Landwirtschaft\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'7\', \'Kaufmännische Berufe\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'8\', \'Mechanik\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'9\', \'Medizin\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'10\', \'Bankgewerbe\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_categories` (`catid`, `name`, `lang`, `sort_style`) VALUES (\'11\', \'Verkauf\', \'1\', \'alpha\')');
		\Cx\Lib\UpdateUtil::sql('CREATE TABLE `contrexx_module_jobs_location` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default \'\',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM COMMENT=\'cx3upgrade\'');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'1\', \'New York\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'2\', \'Tokyo\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'3\', \'London\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'4\', \'Zürich\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'5\', \'Thun\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'6\', \'Los Angeles\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'7\', \'Shanghai\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'8\', \'Moskau\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_location` (`id`, `name`) VALUES (\'9\', \'Dublin\')');
		\Cx\Lib\UpdateUtil::sql('CREATE TABLE `contrexx_module_jobs_rel_loc_jobs` (
  `job` int(10) unsigned NOT NULL default \'0\',
  `location` int(10) unsigned NOT NULL default \'0\',
  PRIMARY KEY  (`job`,`location`)
) ENGINE=MyISAM COMMENT=\'cx3upgrade\'');
		\Cx\Lib\UpdateUtil::sql('CREATE TABLE `contrexx_module_jobs_settings` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(250) NOT NULL default \'\',
  `value` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM COMMENT=\'cx3upgrade\'');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_settings` (`id`, `name`, `value`) VALUES (\'1\', \'footnote\', \'Hat Ihnen diese Bewerbung zugesagt? \\r\\nDann können Sie sich sogleich telefonisch, per E-mail oder Web Formular bewerben.\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_settings` (`id`, `name`, `value`) VALUES (\'2\', \'link\', \'Online für diese Stelle bewerben.\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_settings` (`id`, `name`, `value`) VALUES (\'3\', \'url\', \'index.php?section=contact&cmd=5&44=%URL%&43=%TITLE%\')');
		\Cx\Lib\UpdateUtil::sql('INSERT INTO `contrexx_module_jobs_settings` (`id`, `name`, `value`) VALUES (\'4\', \'show_location_fe\', \'1\')');
	} catch (\Cx\Lib\UpdateException $e) {
                        return \Cx\Lib\UpdateUtil::DefaultActionHandler($e);
                        }
}